# -----------------------------------------------------------------------------
#
# Copyright (c) 2018 Guichet Entreprises
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
# -----------------------------------------------------------------------------
# Small conf to test the localhost
# -----------------------------------------------------------------------------
<VirtualHost *:80>
    ServerName localhost
    Define {{main_root_name|upper}} "{{main_root_path}}"

    # TODO redefine
    Define GE_ENV ".test"
    
    {% raw %}DocumentRoot "${{% endraw %}{{main_root_name|upper}}{% raw %}}"{% endraw %}
    Include "{{this_path}}{{path_sep}}entries.conf"

    ServerSignature Off
    
    # --------------------------------------------------------------------------
    # Header rules
    # as per http://httpd.apache.org/docs/2.2/mod/mod_headers.html#header
    # --------------------------------------------------------------------------
    Header always set X-Content-Type-Options nosniff
    Header always set Strict-Transport-Security "max-age=63072000; includeSubDomains; preload"
    Header always set X-XSS-Protection "1; mode=block"
    Header always set Content-Security-Policy "default-src 'none' ; style-src 'self' 'sha256-Avl+ScT4jGeaW8pHTDv8KcMb1I0qxEWb3YqO3l3VQ2g='; object-src 'self'; script-src 'self' https://feedback-ws.guichet-entreprises.fr; form-action 'self'; base-uri 'self'; connect-src 'self'; img-src 'self'; font-src 'self'; frame-ancestors 'none'"
    Header always set X-Frame-Options SAMEORIGIN
    Header always set Referrer-Policy same-origin
    Header always set Access-Control-Allow-Origin "*"
    Header always set Access-Control-Allow-Headers "x-requested-with, Content-Type, origin, authorization, accept, client-security-token"
    # --------------------------------------------------------------------------
</VirtualHost> 